﻿using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.OfficeChartToImageConverter;
using Syncfusion.Pdf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestPdfConversion
{
    class Program
    {
        static void Main(string[] args)
        {
            var wordDoc = new WordDocument("Dokument.docx");
            wordDoc.ChartToImageConverter = new ChartToImageConverter();
            DocToPDFConverter converter = new DocToPDFConverter();
            converter.Settings.PdfConformanceLevel = PdfConformanceLevel.Pdf_A1B;
            //converter.Settings.EmbedFonts = true;
            //Convert word document into PDF document
            PdfDocument pdfDoc = converter.ConvertToPDF(wordDoc);
            pdfDoc.Save("Dokument.pdf");
            pdfDoc.Close(true);
        }
    }
}
